/**********************************************************************
 *
 *   FreeDoko a Doppelkopf-Game
 *
 *   Copyright (C) 2001-2006  by Diether Knof and Borg Enders
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *   You can find this license in the file 'gpl.txt'.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *   MA  02111-1307  USA
 *
 *  Contact:
 *    Diether Knof dknof@gmx.de
 *    Borg Enders  borg@borgsoft.de
 *
 *********************************************************************/

#include "constants.h"

#include "hyperswines.h"

/**
 ** constructor
 **
 ** @param	playerno	player who has announced the hyperswines
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::Hyperswines::Hyperswines(unsigned const playerno) :
  GameplayAction(HYPERSWINES, playerno)
{
} // Hyperswines::Hyperswines()

/**
 ** constructor
 **
 ** @param	line	line with the data
 **
 ** @return	action corresponding to the line
 **		(to be freed)
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 ** 
 ** @todo	old format
 ** @todo	new format
 **/
GameplayAction::Hyperswines::Hyperswines(string line) :
  GameplayAction(HYPERSWINES, UINT_MAX)
{
#ifndef OUTDATED
  // old format in the bug report:
  //   Played: Player 2: club ace
  if (string(line, 0, strlen("Hyperswines: ")) == "Hyperswines: ") {
    // ToDo

    return ;
  }
#endif

  // ToDo: new format

} // GameplayAction::Hyperswines(string line)

/**
 ** copy constructor
 **
 ** @param	hyperswines	action to copy
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::Hyperswines::Hyperswines(Hyperswines const& hyperswines) :
  GameplayAction(hyperswines)
{
} // Hyperswines::Hyperswines(Hyperswines hyperswines)

/**
 ** copy constructor
 **
 ** @param	hyperswines	action to copy
 **
 ** @return	this action
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::Hyperswines::Hyperswines&
GameplayAction::Hyperswines::operator=(Hyperswines const& hyperswines)
{
  this->GameplayAction::operator=(hyperswines);
  return *this;
} // Hyperswines& Hyperswines::operator=(Hyperswines hyperswines)

/**
 ** destructor
 **
 ** @param	-
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::Hyperswines::~Hyperswines()
{
} // Hyperswines::~Hyperswines()

/**
 **
 ** writes the action in the output stream
 **
 ** @param	ostr	output stream
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
void
GameplayAction::Hyperswines::write(ostream& ostr) const
{
  ostr << this->type;
  ostr << " = " << this->player;

  return ;
} // void write(ostream& ostr) const
